Class {
	#name : #GrafoscopioUrlCachedNode,
	#superclass : #GrafoscopioUrlNode,
	#instVars : [
		'content'
	],
	#category : #'Grafoscopio-Model'
}

{ #category : #accessing }
GrafoscopioUrlCachedNode >> content [
	^ content isEmptyOrNil
		ifTrue: [ content := super content ]
		ifFalse: [ content ]
]

{ #category : #accessing }
GrafoscopioUrlCachedNode >> content: aContent [
	self
		error:
			'You are not supposed to change the content of url node from outside. The content comes only from the fetch.'
]
